## de.ix.jspTutorial.database
Class DatabaseGenericBinder

    java.lang.Object
      |
      +--de.ix.jspTutorial.database.DatabaseGenericBinder

public class DatabaseGenericBinder
extends java.lang.Object
implements I_DatabaseBinder

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de)

Field Summary
`static java.lang.String` `vcid` Version des Source

Fields inherited from interface de.ix.jspTutorial.database.I_DatabaseBinder
`vcid`

Constructor Summary
`DatabaseGenericBinder()`

Method Summary
`I_DatabaseObject` `bind(java.lang.String aType, java.sql.ResultSet result)` Erzeuge ein Objekt aus der DB Zeile

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  Version des Source

Constructor Detail

### DatabaseGenericBinder

    public DatabaseGenericBinder()

Method Detail

### bind

    public I_DatabaseObject bind(java.lang.String aType,
                                 java.sql.ResultSet result)
                          throws java.sql.SQLException

  Erzeuge ein Objekt aus der DB Zeile
  Specified by:
    bind in interface I_DatabaseBinder
  Parameters:
    `result` - aktuelle Zeile des DB Cursors
  Returns:
    Ein Datenbank Objekt

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~